import java.util.ArrayList;
import java.util.List;
import java.util.Optional;

import javafx.application.Application;
import javafx.application.Platform;

import javafx.scene.Scene;

import javafx.scene.control.Alert;
import javafx.scene.control.Alert.AlertType;
import javafx.scene.control.ChoiceDialog;

import javafx.stage.Stage;

public class ChoiceDemo extends Application
{
   @Override
   public void start(Stage primaryStage)
   {
      List<String> fruits = new ArrayList<>();
      fruits.add("apples");
      fruits.add("bananas");
      fruits.add("cherries");
      fruits.add("oranges");
      ChoiceDialog<String> choice = new ChoiceDialog<>("bananas", fruits);
      choice.setTitle("Fruits");
      choice.setHeaderText("Fruits");
      choice.setContentText("Choose your fruit:");
      Optional<String> result = choice.showAndWait();
      if (result.isPresent())
      {
         Alert alert = new Alert(AlertType.INFORMATION);
         alert.setContentText(result.get() + " are great!");
         alert.showAndWait();
      }
   }
}